summaryrefslogtreecommitdiffstats
path: root/www/mozilla/pkg-install.in
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-11-14 03:07:59 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-11-14 03:07:59 +0800
commit459fe3b96274bcacd59c10df3fd35478eecf4258 (patch)
tree3db0e05ddd1b02f6fa73efb0a2b1c33d21d79366 /www/mozilla/pkg-install.in
parent38d4d9a4cbb4068804836f0ecc1e32754b6f4a0c (diff)
downloadmarcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.tar
marcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.tar.gz
marcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.tar.bz2
marcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.tar.lz
marcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.tar.xz
marcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.tar.zst
marcuscom-ports-459fe3b96274bcacd59c10df3fd35478eecf4258.zip
- Introducing Makefile.common for mozilla ports.
Makefile.common defines common variables and does quite a few common tasks handled by mozilla ports. A generic .mozconfig file is located in files/mozconfig-generic.in which includes common configure knobs and defines. if files/mozconfig.in exists it is included at the end of ${WRKSRC}/.mozconfig after mozconfig-generic.in. As of right now Makefile.common uses pre-configure: to do the common patch work which will allow mozilla ports to still use post-patch and defines. if files/mozconfig.in exists it is included at the end of ${WRKSRC}/.mozconfig after mozconfig-generic.in. As of right now Makefile.common uses pre-configure: to do the common patch work which will allow mozilla ports to still use post-patch for less common things. Changes to mozilla: - Use system nss nspr and libm stuff[obtained from www/firefox] - Convert most things to .mozconfig Todo: - Style cleanup - Find more common things to put in Makefile.common - Import post-* pre-* targets from http://people.freebsd.org/~mezz/diff/firefox.diff git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@5120 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'www/mozilla/pkg-install.in')
-rw-r--r--www/mozilla/pkg-install.in34
1 files changed, 34 insertions, 0 deletions
diff --git a/www/mozilla/pkg-install.in b/www/mozilla/pkg-install.in
new file mode 100644
index 000000000..38ed6c42c
--- /dev/null
+++ b/www/mozilla/pkg-install.in
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# $FreeBSD$
+# $MCom$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xPOST-INSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+REGXPCOM=${MOZDIR}/regxpcom
+REGCHROME=${MOZDIR}/regchrome
+
+echo "===> Building Chrome's registry..."
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+mkdir -p ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/component.reg
+
+cd ${MOZDIR} || exit 1
+./run-mozilla.sh ${REGXPCOM} || true
+./run-mozilla.sh ${REGCHROME} || true
+
+if [ ! -d %%PREFIX%%/lib/browser_plugins ]; then
+ mkdir -p %%PREFIX%%/lib/browser_plugins
+fi
+
+exit 0